local Difficulty, mText = ...;
assert(Difficulty);
assert(mText);

local t = Def.ActorFrame {
	children = {
		LoadActor(THEME:GetPathG('ScreenEvaluation','difficulty icons 1x6')) .. {
			InitCommand=cmd(pause;setstate,StringToDifficulty(Difficulty));
			OnCommand=cmd(diffusealpha,0;sleep,0.1;linear,0.3;diffusealpha,1);
			OffCommand=cmd(sleep,0;linear,0.3;diffusealpha,0);
		};
		Def.BitmapText {
			Text=mText;
			Font="_eurostile normal";
			InitCommand=cmd(diffuse,ContrastingDifficultyColor(Difficulty);shadowlength,1;zoom,0.5);
			OnCommand=cmd(diffusealpha,0;sleep,0.1;linear,0.3;diffusealpha,1);
			OffCommand=cmd(sleep,0;linear,0.3;diffusealpha,0);
		};
	};
};

return t;
